#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <time.h>
#include <sys/times.h>
#include <errno.h>
#include <math.h>
#include <string.h>
#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>


#include "main.h"
#include "callbacks.h"
#include "callbacks_help.h"
#include "interface.h"
#include "support.h"
#include "process.h"
#include "io-menu.h"
#include "db.h"
#include "help.h"


#define MAIN_BUTTONS             0
#define INPUT                    1
#define EQ_OPTIONS               3
#define LO                       4
#define MID                      5
#define HIGH                     6
#define OUTPUT                   8

/* Convert from dB's to a coefficient */
#define DB_CO(g) powf(10.0f, (g) * 0.05f)

static char *help_ptr = general_help;
static GtkWidget *about_window;
static GtkWidget *fileChooser;
static GtkWidget *messageBox;

gboolean
on_window1_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  //  commitSettings();
    gtk_main_quit();

    return FALSE;
}

void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{


  //  commitSettings();
    gtk_main_quit();

}


void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
    GtkLabel *version_label;
    about_window = create_window2();
    
    version_label = GTK_LABEL(lookup_widget(about_window, "lblVersion"));

    gtk_label_set_label(version_label, PACKAGE " " VERSION "\nhttp://djcj.org/jackeq\n\n"
    "(c) 2003 - 2009 P. Shirkey\n\n"
    "Contributions from:\n S. Harris, J. O'Quin\n\n"
    "This is free software, and you are welcome \nto redistribute it under certain conditions;\n"
    "see the file COPYING for details.\n");
	
    gtk_widget_show(about_window);

}


void
on_open2_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

    gchar *tempfilepath;
    fileChooser = create_filechooserdialog1();
    gtk_widget_show(fileChooser);
    
    switch (gtk_dialog_run (GTK_DIALOG (fileChooser)))
    {
    case GTK_RESPONSE_OK:
      /* get the path */
      tempfilepath = gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (fileChooser));
      g_print(_("loading filepath = %s\n"), tempfilepath); 
      g_snprintf(filepath, 255, "%s",tempfilepath);
     // getSettings();
      gtk_widget_destroy (fileChooser);
      break;
    default:
      gtk_widget_destroy (fileChooser);
      return;
    }


}


void
on_save2_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
    gchar *tempfilepath;
    
    fileChooser = create_filechooserdialog2();
//    gtk_file_chooser_set_action (GTK_FILE_CHOOSER (fileChooser), GTK_FILE_CHOOSER_ACTION_SAVE);
    gtk_widget_show(fileChooser);
    
    switch (gtk_dialog_run (GTK_DIALOG (fileChooser)))
    {
    case GTK_RESPONSE_OK:
      /* get the path */
      tempfilepath = gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (fileChooser));
      g_print(_(" saving filepath = %s\n"), tempfilepath);
      g_snprintf(filepath, 255, "%s",tempfilepath);
    //  commitSettings();
      gtk_widget_destroy (fileChooser);
      break;
    default:
      gtk_widget_destroy (fileChooser);
      return;
    }
    
}




void
on_jack_ports_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
    iomenu_pull_down_ports();
}

