#include <math.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <jack/jack.h>
#include <assert.h>
#include <glib.h>

#include "config.h"
#include "process.h"

#define LERP(f,a,b) ((a) + (f) * ((b) - (a)))


float aux_peak[4];
float mast_peak[2];
float mon_peak[2];
float out_peak[NCHANNELS];
float aux_gain[2];
float aux_gain_target[2];
float chan_gain[N_PLUGINS];
float chan_gain_target[N_PLUGINS];
float fader_gain[N_PLUGINS];
float fader_gain_target[N_PLUGINS];
float mast_gain = 1.0f;
float mast_gain_target = 1.0f;
float mon_gain = 1.0f;
float mon_gain_old = 1.0f;
float mon_gain_target = 1.0f;

jack_port_t *input_ports[NCHANNELS],
                   *output_ports[NCHANNELS],
		   *aux_return_input_ports[4],
		   *aux_return_output_ports[4],
                   *aux_send_output_ports[4],
                   *mast_output_ports[2],
                   *mon_output_ports[2];
jack_client_t *client;
    
int global_bypass[NCHANNELS];
int global_mon[N_PLUGINS + 2];
int global_aux1[N_PLUGINS];
int global_aux2[N_PLUGINS];
int global_group[4][6];


int process(jack_nframes_t nframes, void *arg);
void crossfade(	jack_nframes_t nframes);
void cleanup();


void process_init()
{
    unsigned int chan, i;
    char *client_name;
    float fs;

    /* register as a JACK client */
    client_name = strdup(PACKAGE);
    printf("Registering as %s\n", client_name);
  //  client = jack_client_new(client_name);
    client = jack_client_open(client_name, JackNoStartServer, NULL);
    if (client == 0) {
	fprintf(stderr, "%s: Cannot contact JACK server, is it running?\n",
		PACKAGE);
        exit(2);
    }

    fs = jack_get_sample_rate(client);

    jack_on_shutdown(client, cleanup, NULL);

    jack_activate(client);
}


void cleanup()
{
    jack_client_close(client);
}

/* vi:set ts=8 sts=4 sw=4: */



